SHRED(1)

BEZEICHNUNG
shred - Eine Datei überschreiben, um den Inhalt zu verstecken und optional zu löschen

ÜBERSICHT
shred [OPTION]… DATEI…

BESCHREIBUNG

Mehrfaches Überschreiben der angegebenen DATEI(en), um es schwerer zu machen, selbst mit teuren Hardware‐Analysemitteln die Daten wieder herzustellen.

Falls die DATEI »-« ist, die Standardausgabe shreddern.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-f, --force
    Zugriffsrechte ändern, um nötigenfalls Schreiben zuzulassen

-n, --iteration=N
    N Mal überschreiben statt des Standardwertes (3)

--random-source=DATEI
    Zufällige Byte aus DATEI nehmen

-s, --size=N
    Diese Anzahl Byte schreddern (Endsilben wie K, M, G zulässig)

-u  Datei nach dem Überschreiben freigeben und entfernen

-u, --remove[=WIE]
    wie -u, aber mit Angaben, WIE gelöscht werden soll; siehe unten

-v, --verbose
    Fortschritt anzeigen

-x, --exact
    Dateigrößen nicht auf den nächsten vollen Block aufrunden;

    Dies ist für nicht‐reguläre Dateien die Voreinstellung.

-z, --zero
    Ein letztes Überschreiben mit Nullen hinzufügen, um Shreddern zu verbergen.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

DATEI(en) löschen, falls --remove (-u) angegeben ist. Die Vorgabe ist es, die Dateien nicht zu entfernen, da man oft auf Gerätedateien wie /dev/hda arbeitet und diese Dateien normalerweise nicht entfernt werden sollten. Der optionale Parameter WIE bezeichnet die Vorgehensweise beim Entfernen eines Verzeichniseintrags: 'unlink' => verwendet einen Standard-unlink-Aufruf. 'wipe' => außerdem zuerst die Byte im Namen überschreiben. 'wipesync' => außerdem jedes überschriebene Byte sofort auf die Disk zurückschreiben. Der voreingestellte Modus ist »wipesync«. Beachten Sie aber, dass dieser Modus sehr zeitintensiv sein kann.

VORSICHT: Beachten Sie, dass Shred auf einer sehr wichtigen Annahme beruht: dass das Dateisystem Daten an derselben Stelle überschreibt. Dies ist die traditionelle Vorgehensweise, doch viele moderne Betriebssystemdesigns erfüllen diese Annahme nicht. Die folgenden Dateisysteme sind Beispiele, auf denen Shred keine Wirkung hat oder auf denen nicht für alle Dateisystemmodi eine Wirkung garantiert werden kann:

* Protokollstrukturierte oder Dateisysteme mit Journal, wie die mit AIX und Solaris gelieferten (und JFS, ReiserFS, XFS, Ext3, usw.)

* Dateisysteme, die redundante Daten schreiben und auch dann fortfahren, wenn einige Schreibvorgänge fehlschlagen, wie RAID‐basierte Dateisysteme

* Dateisysteme, die Schnappschüsse anfertigen, wie der NFS‐Server von »Network Appliance«

* Dateisysteme, die an temporären Orten zwischenspeichern, wie NFS-Version-3-Clients

* komprimierte Dateisysteme

Im Fall von »ext3«-Dateisystemen trifft die obige Bemerkung (und die eingeschränkte Verwendbarkeit von Shred) nur zu, wenn der Modus »data=journal« gesetzt ist, der zusätzlich zu einem Journal für Metadaten auch eines für Dateien schreibt. Sowohl im Modus »data=ordered« (Vorgabe) und »data=writeback« funktioniert Shred wie gewohnt. Die Journal‐Optionen von »ext3« können beim Einhängen durch Anhängen der Option »data=irgendwas« für ein bestimmtes Dateisystem in der Datei /etc/fstab gesetzt werden, wie es in der Handbuchseite von Mount (man mount) erklärt ist.

Zusätzlich können Dateisystemsicherungen und Spiegel in der Ferne Kopien der Datei enthalten, die nicht entfernt werden können, und die es erlauben, eine geschredderte Datei später wieder herzustellen.

AUTOR
Geschrieben von Colin Plumb.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: <https://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von shred an <https://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2018 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/shred>
oder lokal verfügbar mit: info '(coreutils) shred invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Chris Leick <c.leick@vollbio.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.